MCP Tools Reference: developerknowledge.googleapis.com

Tool: answer_query

Use answer_query to get a grounded answer to a query about Google developer products. This tool has limited quota. This tool will synthesize information from the corpus to generate an answer to the query. answer_query grounds answers using the same corpus as search_documents. If you get a 429 out of quota error, use search_documents instead.

The following sample demonstrate how to use curl to invoke the answer_query MCP tool.

Curl Request
                  
curl --location 'https://developerknowledge.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "answer_query",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for AnswerQuery.

AnswerQueryRequest

JSON representation
{
  "query": string
}
Fields
query

string

Required. The query to answer.

Output Schema

Response message for AnswerQuery.

AnswerQueryResponse

JSON representation
{
  "answerText": string
}
Fields
answerText

string

The answer to the query.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌